"use strict";
/**
 * The characters that need to be escaped.
 * @private
 */
var RE_ESCAPED = /(?=[[\](){}^$.?*+|\\])/g;
/**
 * Escapes special characters in a given string in preparation to be used as
 * argument of the JS `RegExp` constructor, useful when you want to match the
 * given string as a literal substring.
 *
 * @param {string} str A string.
 * @returns {string} The escaped string.
 * @since 1.0.0
 */
var escapeRegexStr = function _escapeRegexStr(str) {
    return str ? str.replace(RE_ESCAPED, '\\') : '';
};
module.exports = escapeRegexStr;
//# sourceMappingURL=index.js.map